tasty-hspec-1.1.2: Hspec support for the Tasty test framework.

Safe Haskell | None
Language | Haskell2010

Test.Tasty.Hspec

Contents

- Test
- Options
- Hspec re-export

Synopsis

- testSpec :: TestName -> Spec -> IO TestTree
- newtype SmallCheckDepth :: * = SmallCheckDepth Int
- newtype QuickCheckMaxRatio :: * = QuickCheckMaxRatio Int
- newtype QuickCheckMaxSize :: * = QuickCheckMaxSize Int
- newtype QuickCheckReplay :: * = QuickCheckReplay (Maybe (QCGen, Int))
- newtype QuickCheckTests :: * = QuickCheckTests Int
- module Test.Hspec

# Test

testSpec :: TestName -> Spec -> IO TestTree Source

Create a tasty `TestTree` from an Hspec `Spec`.

# Options

### Re-exported from tasty-smallcheck

newtype SmallCheckDepth :: *

The "depth" parameter for SmallCheck

Constructors

SmallCheckDepth Int |

Instances

Enum SmallCheckDepth |
Eq SmallCheckDepth |
Integral SmallCheckDepth |
Num SmallCheckDepth |
Ord SmallCheckDepth |
Real SmallCheckDepth |
IsOption SmallCheckDepth |

### Re-exported from tasty-quickcheck

newtype QuickCheckMaxRatio :: *

Maximum number of of discarded tests per successful test before giving up.

Constructors

QuickCheckMaxRatio Int |

Instances

Enum QuickCheckMaxRatio |
Eq QuickCheckMaxRatio |
Integral QuickCheckMaxRatio |
Num QuickCheckMaxRatio |
Ord QuickCheckMaxRatio |
Real QuickCheckMaxRatio |
IsOption QuickCheckMaxRatio |

newtype QuickCheckMaxSize :: *

Size of the biggest test cases

Constructors

QuickCheckMaxSize Int |

Instances

Enum QuickCheckMaxSize |
Eq QuickCheckMaxSize |
Integral QuickCheckMaxSize |
Num QuickCheckMaxSize |
Ord QuickCheckMaxSize |
Real QuickCheckMaxSize |
IsOption QuickCheckMaxSize |

newtype QuickCheckReplay :: *

Replay a previous test using a replay token

Constructors

QuickCheckReplay (Maybe (QCGen, Int)) |

Instances

IsOption QuickCheckReplay |

newtype QuickCheckTests :: *

Number of test cases for QuickCheck to generate

Constructors

QuickCheckTests Int |

Instances

Enum QuickCheckTests |
Eq QuickCheckTests |
Integral QuickCheckTests |
Num QuickCheckTests |
Ord QuickCheckTests |
Real QuickCheckTests |
IsOption QuickCheckTests |

# Hspec re-export

module Test.Hspec